/**
 * EpicMusicPlayer Playlistgenerator
 *
 * @author yess
 *
 * This is not a good example how to write a java application. 
 * But hey its working^^
 *
 */

package app;

import gui.*;
import java.util.logging.FileHandler;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.logging.SimpleFormatter;
import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;

/**
 * The main class of the application.
 */
public class EMPApp extends SingleFrameApplication {

     private Config conf;
    /**
     * At startup create and show the main frame of the application.
     */
    @Override protected void startup(){
        
        conf = new Config();
        MainView mainview = new MainView(this,getConf());
        
        this.addExitListener(mainview);
        show(mainview);
        
        if(conf.isShowWelcomeDialog()){
            WelcomeBox wb = new WelcomeBox(mainview.getFrame(), true, mainview);
            wb.setLocationRelativeTo(mainview.getFrame());
            wb.setVisible(true);
        }
        /*
        if (aboutBox == null) {
            JFrame mainFrame = EMPApp.getApplication().getMainFrame();
            aboutBox = new AboutBox(mainFrame);
            aboutBox.setLocationRelativeTo(mainFrame);
        }
        EMPApp.getApplication().show(aboutBox);
        */
          
        /*
        if(conf.isFirstRun()){
            JOptionPane.showMessageDialog(null,
                        "Please select a folder with mp3 files in it.",
                        "EpicMusicPlayer"+conf.getSavedVersion(),JOptionPane.PLAIN_MESSAGE);
            m.addMuiscFolder();
        }*/
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override protected void configureWindow(java.awt.Window root) {
        
    }

    /**
     * A convenient static getter for the application instance.
     * @return the instance of EMPApp
     */
    public static EMPApp getApplication() {
        return Application.getInstance(EMPApp.class);
    }
    
   /*
   @Override
   public void exit(EventObject event) {
   
   }*/

   /*
   @Override
   protected void shutdown() {
           super.shutdown();
   }*/
    
      
    
    
    /**
     * Main method launching the application.
     */
    public static void main(String[] args) {   
        try{
            FileHandler handler = new FileHandler("errorlog.txt"); 
            handler.setFormatter(new SimpleFormatter());
            handler.setLevel(Level.ALL);
            handler.setFilter(null);
            
            
            Logger logger = Logger.getLogger("epicmusicplayer");
            logger.setLevel(Level.ALL);
            logger.addHandler(handler);
            //if (true) throw new Exception("Test"); 
            launch(EMPApp.class, args);
            
        }
        catch(Exception e)
        {
            //System.out.println("error:"+e.getMessage());
            Logger.getLogger("epicmusicplayer").log(Level.SEVERE,e.getMessage(),e);
            //Logger.getLogger("epicmusicplayer").log(Level.SEVERE,e.getMessage(),e);
            //Logger.getLogger("epicmusicplayer").log(Level.ALL,e.getMessage(),e);
            //e.printStackTrace();
        }
    }

    public

    Config getConf() {
        return conf;
    }
}

